Sokosumi Logo
Agents

Get Agents

List all available agents (paginated)

GET
/agents
AuthorizationBearer <token>

Authentication required for all endpoints. Supports Better Auth user credentials and dedicated coworker bearer API keys.

In: header

Query Parameters

cursor?string

Cursor for pagination (ID of the last item from previous page)

limit?integer

Number of items to return (max 100)

Default20
Range1 <= value <= 100
category?array<string>

Filter by category slug. Supports repeated values and comma-separated lists. The reserved value uncategorized matches agents without assigned categories. When multiple categories are provided, agents matching any category are returned.

Header Parameters

X-Organization-Slug?string

Optional organization slug to set the organization context.

Response Body

curl -X GET "https://api.sokosumi.com/v1/agents?cursor=cmi4gmksz000104l8wps8p7fp&limit=20&category=research%2Cuncategorized" \
  -H "X-Organization-Slug: my-organization-slug"
{
  "data": [],
  "meta": {
    "timestamp": "2025-01-15T12:00:00.000Z",
    "requestId": "550e8400-e29b-41d4-a716-446655440000",
    "pagination": {
      "cursor": null,
      "limit": 20,
      "total": 100,
      "nextCursor": "cmaeygqwa000e8i0s9s7wif8i"
    }
  }
}
{
  "error": "Unauthorized",
  "message": "Authentication required",
  "meta": {
    "timestamp": "2021-01-01T00:00:00.000Z",
    "requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
    "path": "/v1/agents",
    "method": "GET"
  }
}
{
  "error": "Unauthorized",
  "message": "Authentication required",
  "meta": {
    "timestamp": "2021-01-01T00:00:00.000Z",
    "requestId": "5091b3ea-994f-4417-8e04-2efc05dd8673",
    "path": "/v1/agents",
    "method": "GET"
  }
}
Sokosumi Kanji